#!/bin/sh

trap kill_team INT

kill_team()
{
    echo "Killing Team"
    for (( j=0 ; j<i ; j=$j+1 )) ; do
        if ! test -z "${PID[$j]}"; then
            echo "Killing  ${PID[$j]}"
            kill -9 ${PID[$j]}
        fi
    done
    exit 0
}

# "" - mean default (built in agent) timeout
TIMEOUT=""
LOG_DIR=""

echo "///////////////////////////////////////////////////////////"
echo "DrWeb team was created by Sergey Akhapkin.                 "
echo "ID Antivirus Lab, Saint-Petersburg, 2001-2003              "
echo "///////////////////////////////////////////////////////////"

if [ $# -lt 2 ];
then
    echo "Usage: $0 unum [unum] servername"
    echo "Example: $0 1 5 11 Olympus"
    exit 1
fi

argc=`expr $# - 1`
argv=( $* )
SERVER=${argv[$argc]}
PROGRAM=./agent
names=( "Malofeev"\
        "Ovsepyan"\
        "Lepekhin"\
        "Tzvetkov"\
        "Katulsky"\
        "Igonin"\
        "Ugarov"\
        "Tarasov"\
        "Arshavin"\
        "Astafiev"\
        "Kerzhakov" )    

echo "Server: "$SERVER
if [ "x$TIMEOUT" != "x" ] ; then
    echo "Timeout: "$TIMEOUT
fi
echo "Starts players:"
num=0
while [ $num -lt $argc ] ; 
do    
    u=${argv[$num]}
    i=`expr $u - 1`
    if [ "x$TIMEOUT" != "x" ] ; then
        cmdline="$PROGRAM -n ${names[$i]} -h $SERVER -t $TIMEOUT"
    else
        cmdline="$PROGRAM -n ${names[$i]} -h $SERVER"
    fi
    if [ $i = 0 ];
    then
        $cmdline -g & 
    else
        $cmdline & 
    fi
    PID[$i]=$!
    echo "$u ${names[$i]}"
    num=`expr $num + 1`
done
echo "Wait"
wait
